﻿import {Component, ViewEncapsulation,ViewChild} from '@angular/core';
import {CommonModule} from "@angular/common";
import {EJComponents} from './ej/core';

declare let ej : any;
@Component({
   selector: 'ej-app',    
  templateUrl: 'app/app.component.html',
})
export class AppComponent {

selectColumn(e:any){    
                   if (e.itemName == "Excel Export") {
                       this.Grid.widget.export('http://js.syncfusion.com/demos/ejServices/api/grid/ExcelExport');
                       e.cancel = true;
                   }
                   else if (e.itemName == "Word Export") {
                       this.Grid.widget.export('http://js.syncfusion.com/demos/ejServices/api/grid/WordExport')
                       e.cancel = true;//prevent the default action
                   }
                   else if (e.itemName == "PDF Export") {
                       this.Grid.widget.export('http://js.syncfusion.com/demos/ejServices/api/grid/PdfExport')
                       e.cancel = true;
                   }
}
public gridData = ej.DataManager({
    url: "http://mvc.syncfusion.com/Services/Northwnd.svc/Orders"
});

public gridcolumns = [{field: "OrderID"},{field: "EmployeeID"},{field: "CustomerID"},{field: "OrderDate", format:"{0:MM/dd/yyyy}"}];
@ViewChild('grid') Grid: EJComponents<any, any>;


}